//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tFileHandling complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tFileHandling"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tServiceYesNo"&gt;
 *       &lt;attribute name="mms" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" /&gt;
 *       &lt;attribute name="ftp" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="ftps" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tFileHandling")
public class TFileHandling
    extends TServiceYesNo
{

    @XmlAttribute(name = "mms")
    protected Boolean mms;
    @XmlAttribute(name = "ftp")
    protected Boolean ftp;
    @XmlAttribute(name = "ftps")
    protected Boolean ftps;

    /**
     * 获取mms属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isMms() {
        if (mms == null) {
            return true;
        } else {
            return mms;
        }
    }

    /**
     * 设置mms属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setMms(Boolean value) {
        this.mms = value;
    }

    /**
     * 获取ftp属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isFtp() {
        if (ftp == null) {
            return false;
        } else {
            return ftp;
        }
    }

    /**
     * 设置ftp属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setFtp(Boolean value) {
        this.ftp = value;
    }

    /**
     * 获取ftps属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isFtps() {
        if (ftps == null) {
            return false;
        } else {
            return ftps;
        }
    }

    /**
     * 设置ftps属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setFtps(Boolean value) {
        this.ftps = value;
    }

}
